- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Audio\SimpleFilter

class SimpleFilter implements AudioFilterInterface

## Methods

| __construct(array $params, $priority) |
integer | getPriority() Returns the priority of the filter. |
array | apply(Audio $audio, AudioInterface $format) Applies the filter on the the Audio media given an format. |

## Details

###
at line 13
`public __construct(array $params, $priority)`

#### Parameters

array | $params |
| $priority |

###
at line 22
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 30
`public array apply(Audio $audio, AudioInterface $format)`

Applies the filter on the the Audio media given an format.

#### Parameters

Audio | $audio |
AudioInterface | $format |

#### Return Value

array | An array of arguments